<?php
	profile :: is_user(true);
	$id = intval($_GET['id']);
	if($user['id'] != intval($id)){ system :: redirect("У вас нет доступа к данной странице.", "{$thisLink}{$user['id']}", 1); }
	if(isset($_POST['cfms'])) {
				$m_ok = array('message' => system :: check(system :: text($_POST['message'])), 
			'name' => system :: check(system :: text($_POST['name'])));
		$name_str = system :: utf_strlen($m_ok['name']);
		$msg_str = system :: utf_strlen($m_ok['message']);
		if($name_str >= 3) {
			if($name_str <= 50) {
				if($msg_str <= 150) {	
					if(DB :: $pdo -> querySingle("SELECT COUNT(*) FROM `{$table_a}` WHERE `name` = ? AND `id_user` = ? LIMIT 1;", array($m_ok['name'], $user['id'])) == 0) {
						if(DB :: $pdo -> querySingle("SELECT COUNT(*) FROM `{$table_a}` WHERE `id_user` = ? AND `time` > ? LIMIT 1;", array($user['id'], (time() - 600))) <= 3) {
							DB :: $pdo -> query("UPDATE `users` SET `count_albums`=`count_albums`+1 WHERE `id` = ? LIMIT 1;", array($user['id']));
							DB :: $pdo -> query("INSERT INTO `{$table_a}` (`id_user`, `time`, `name`, `text`) VALUES (?,?,?,?);", array($user['id'], time(), $m_ok['name'], $m_ok['message']));
							$ida = DB :: $pdo -> lastInsertId();
							system :: redirect("Альбом успешно создан.", $thisLink."{$user['id']}/album{$ida}");
						} else { $errMsg = "За 10 минут можно создавать 3 альбома."; }
					} else { $errMsg = "Альбом с таким названием уже существует."; }
				} else { $errMsg = "Описание превышает 150 знаков."; }
			} else { $errMsg = "Название привышает 50 знаков."; }
		} else { $errMsg = "Пустое название."; }
	}
	
	$title = "Фотографии - Создание альбома";
	$l = "Фотографии - Создание альбома";
	require (CORE.'head.php');

	$back = system :: back("{$thisLink}{$user['id']}","Все альбомы", true);
	echo "<div class=\"app-block\">";
	system :: show($errMsg);
	echo $back;
	?>
	<div class="list">
	<div class="app-block-w">
	<form method="post" action="">
		
			<label class="_gray _dbl" for="album-name">Название(50 знаков):</label>
			<input type="text" class="main-input _w-100" name="name" id="album-name" value="<?=@$m_ok['name']?>">

			<label class="_gray _dbl" for="album-message">Описание(150 знаков):</label>
			<textarea name="message" id="album-message"><?=@$m_ok['message']?></textarea>
			<div class="_btn-up">
			<input type="submit" name="cfms" class="main-btn _w-100" value="Создать">
			</div>
	</form>
	</div>
	</div>
	<?php
	echo "</div>";
	require (CORE.'foot.php');